Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.web
Enum WebRequest.Verb

    java.lang.Object
      java.lang.Enum<WebRequest.Verb>
          org.jboss.portal.web.WebRequest.Verb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebRequest.Verb>

Enclosing interface:
  WebRequest

    public static enum WebRequest.Verb

extends java.lang.Enum<WebRequest.Verb>

Enum Constant Summary
`GET`
`POST`

Method Summary
`static WebRequest.Verb` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebRequest.Verb[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final WebRequest.Verb GET

### POST

    public static final WebRequest.Verb POST

Method Detail

### values

    public static final WebRequest.Verb[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WebRequest.Verb c : WebRequest.Verb.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WebRequest.Verb valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.